Update Existing Segment

Update an existing segment with the given configuration. Use this endpoint to update filter criteria, email preferences etc.

Path Params
int32
required

Segment ID

Query Params
string
required

Segment Name

Body Params
string
required

Leadboxer accountId.

string
enum
required

Set visibility of the segment.

Possible values:
USER : the segment will be private to user.
ACCOUNT : the segment will be shared across the users of the account.

Allowed:
string

Text-based filter expression used to filter result fields.Format: field|operator|value. Multiple filters are comma-separated.

string

Numeric filter expression used to filter results based on numeric fields. Format: field|operator|value. Multiple filters are comma-separated. Supported numeric operators include greaterthan, lessthan, is, isnot, between, and notbetween. The between and notbetween operators use the format min-max.

string

Time-based filter expression used to filter results by time field. Format: field|operator|value.

Allowed fields (same as timeField parameter):

  • eventEsTimestamp : Last Seen
  • first_session_unix_timestamp : First Seen

Supported operators:

  • exactly → integer value (0 = Today, 1 = Yesterday)
  • lessthan → integer value (e.g. 6 = last 7 days)
  • between → date range in format dd/MM/yyyy-dd/MM/yyyy

Locale settings are taken into account while interpreting dates and returning results.

string

Field-based filter used to include leads based on field presence.

Format: operator|field1;field2

Allowed operator:

  • hasanyvalue

Allowed fields:

  • firstName
  • lastName
  • email

Multiple fields can be provided using semicolons.

string

Exit link filter used to include or exclude leads based on exit link values.

Format: field|operator|value

Supported operators:

  • contains
  • is
  • isnot
  • doesnotcontain

Multiple values can be provided using semicolons.

int32
0 to 100

Filters leads based on given minimum leadscore.

string

Display filter used to control which types of leads are returned.

Supported values:

  • company
  • person
  • unidentified

Selecting 'unidentified' returns leads that could not be identified as a company or a person.

Multiple values can be provided using semicolons.

string

Filters leads based on specified from user

string

Filters leads based on specified owner

string

Filters leads based on presetInclusionList

string

Keyword search

string
enum
required

Email view type.
Possible values : NONE, LEAD, ACCOUNT

Allowed:
string
enum
required

Set notification frequency.

Possible values:
NONE : Do not send any notification.
DAILY : Send notification daily.
WEEKLY : Send notification weekly.

Allowed:
string

List of comma separated email addresses for notification

string

Set headlines for the notification email

string

Format for the segment notification.
Possible values : html, csv

int32

Day of week on which weekly notification will be sent. Possible values include numbers from 1 to 7 (where 1 refers to Monday)

string

List of comma separated fields to be included in CSV

string

Field to sort result.
Possible values :
_score : records will be sorted as per leadscore.
lastEvent : records will be sorted as per activity time.
Default : _score

string

Sort order.
Possible values : asc, desc
Default : desc

string

View type.
Possible values : B2B, B2C
Default : B2B

string
string
string
Responses
204

Segment updated successfully. No content returned.

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json